Subject: Re: bug#24472 - a workaround/fix for the menubar crashes on macOS

From: Marc Herbert <[email-masked]>
Date: Fri, 1 May 2020 17:14:12 -0700

>      (define-key global-map [menu-bar file revert-buffer] nil)
>
> Enjoy. I think it's better than a "workaround" actually, it's almost a
> "feature"...

OK, I got carried away. Version 26.3 still crashes in other places.
The workaround above avoids only the most severe tramp crash. For
instance it crashes with the same ns_update_menubar() stacktrace
almost every time the top frame is subdir over tramp. Whack a mole?

So back to more gentle 26.1 for now. In 26.1 don't see subdir+tramp
causing any network traffic like "Revert Buffer" did. That combination
is probably just menubar-slow some other way. After all neither #32864
nor https://github.com/polymode/poly-R/issues/15 seem to involve the
network yet those issues look very similar to this one.

If someone knows how to insert a simple delay somewhere in menubar for
pure testing purposes then please share, I think it could really help
with reproduction.